### Method

# Clutter Actor set_layout_manager

#### Declaration [src]

    void
    clutter_actor_set_layout_manager (
      ClutterActor* self,
      ClutterLayoutManager* manager
    )

#### Description [src]

Sets the `ClutterLayoutManager` delegate object that will be used to lay out the children of `self`.

The `ClutterActor` will take a reference on the passed `manager` which will be released either when the layout manager is removed, or when the actor is destroyed.

Sets property | `Clutter.Actor:layout-manager`

#### Parameters

`manager`

  Type: `ClutterLayoutManager`

  A `ClutterLayoutManager`, or `NULL` to unset it.

  The argument can be `NULL`.
  The data is owned by the caller of the method.